Bug 249481 - security/libnitrokey: update to 3.6
Summary: security/libnitrokey: update to 3.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-09-20 12:09 UTC by Thibault Payet
Modified: 2020-09-25 14:53 UTC (History)
2 users (show)

See Also:


Attachments
diff of the port (1.20 KB, patch)
2020-09-20 12:09 UTC, Thibault Payet
monwarez: maintainer-approval+
Details | Diff
diff of the port (1.52 KB, patch)
2020-09-20 21:24 UTC, Thibault Payet
no flags Details | Diff
diff of the port (1.50 KB, patch)
2020-09-20 21:25 UTC, Thibault Payet
monwarez: maintainer-approval+
Details | Diff
update with test target (1.65 KB, patch)
2020-09-21 08:28 UTC, Thibault Payet
monwarez: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thibault Payet 2020-09-20 12:09:50 UTC
Created attachment 218107 [details]
diff of the port

Update libnitrokey to 3.6
Bump portrevision of security/nitrokey-app if needed

It pass QA
Comment 1 Automation User 2020-09-20 12:23:42 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/192148606
Comment 2 daniel.engberg.lists 2020-09-20 19:34:40 UTC
Is upstream release tarball useable? If so please use it. (5.4.3 in Porter's Handbook)
Can you perhaps add a "make test" target using offline-tests?

Looks good otherwise!

Best regards,
Daniel
Comment 3 Thibault Payet 2020-09-20 21:24:12 UTC
Created attachment 218120 [details]
diff of the port

Use release tarball from github release
I didn't find how to make the MASTER_SITE more readable
Comment 4 Thibault Payet 2020-09-20 21:25:19 UTC
Created attachment 218122 [details]
diff of the port

forget to remove commented line
Comment 5 Thibault Payet 2020-09-20 21:28:13 UTC
To add the test target, I would need to change a cmake configuration. Does having a non default TEST option for that is the standard ?
Comment 6 daniel.engberg.lists 2020-09-21 05:33:46 UTC
MASTER_SITES looks fine!

If you don't mind and if it makes it more clean sure why not switch to cmake?

Usually something like this is enough https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=249002 however you can define your own do-test: section
https://svnweb.freebsd.org/ports/head/net-p2p/libtorrent-rasterbar/Makefile?revision=547585&view=markup#l79
Comment 7 Thibault Payet 2020-09-21 08:28:26 UTC
Created attachment 218131 [details]
update with test target

Adding the offline test seems to work fine, I test it directly inside the ports tree, not in a poudriere jail so I didn't check for filesystem violation

===>  Testing for libnitrokey-3.6
[0/1] cd /usr/ports/security/libnitrokey/work/.build && /usr/local/bin/ctest --force-new-ctest-process
Test project /usr/ports/security/libnitrokey/work/.build
    Start 1: runs
1/2 Test #1: runs .............................   Passed    0.02 sec
    Start 2: minimal
2/2 Test #2: minimal ..........................   Passed    0.01 sec

100% tests passed, 0 tests failed out of 2

Total Test time (real) =   0.03 sec
Comment 8 daniel.engberg.lists 2020-09-21 22:59:05 UTC
Looks great!

Poudriere testport OK 12.1-RELEASE (amd64)
Comment 9 Kurt Jaeger freebsd_committer 2020-09-25 14:53:14 UTC
Committed, thanks!
Comment 10 commit-hook freebsd_committer 2020-09-25 14:53:26 UTC
A commit references this bug:

Author: pi
Date: Fri Sep 25 14:52:57 UTC 2020
New revision: 550043
URL: https://svnweb.freebsd.org/changeset/ports/550043

Log:
  security/libnitrokey: update 3.6-RC1 -> 3.6

  - LibremKey and FreeBSD support. Extended API
  - also add test target

  PR:		249481
  Submitted by:	Thibault Payet <monwarez@mailoo.org> (maintainer)
  Reviewed by:	daniel.engberg.lists@pyret.net

Changes:
  head/security/libnitrokey/Makefile
  head/security/libnitrokey/distinfo
  head/security/libnitrokey/pkg-plist